spring:
  application:
    name: dashboard-service
server:
  port: 8091
  servlet:
      contextPath: /kaleidofin-dashboard
security:
  oauth2:
    resource:
      filterOrder: 3
      tokenInfoUri: http://kal-auth-service:8090/kaleidofin-auth/oauth/check_token
    client:
      clientId: kaleidodashboardapp
      clientSecret: dashboard-secret-token-to-change-in-production
      accessTokenUri: http://kal-auth-service:8090/kaleidofin-auth/oauth/token
      userAuthorizationUri: http://kal-auth-service:8090/kaleidofin-auth/oauth/authorize
cors:
  allowedOrigins: "*"
  allowedMethods: GET, PUT, POST, DELETE, OPTIONS
  allowedHeaders: "*"
  exposedHeaders:
  allowCredentials: true
  maxAge: 1800
management:
  endpoints:
    web:
      exposure:
        include: health,info,metrics,prometheus
  endpoint:
    health:
      show-details: always

logging:
  config: classpath:config/logback-spring.xml